Skip to main content
PATCH
/
api
/
v1
/
commits
/
{commit_id}
cURL
curl --request PATCH \
  --url https://api.example.com/api/v1/commits/{commit_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "is_public": true
}
'
{
  "commit_id": "<string>",
  "created_at": "<string>",
  "is_public": true,
  "name": "<string>",
  "owner_id": "<string>",
  "description": "<string>",
  "grandparent_commit_id": "<string>",
  "parent_vm_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

commit_id
string<uuid>
required

The commit ID

Body

application/json

Request body for PATCH /commits/{commit_id}

is_public
boolean
required

Response

Commit updated

commit_id
string
required
created_at
string
required
is_public
boolean
required
name
string
required
owner_id
string
required
description
string | null
grandparent_commit_id
string | null
parent_vm_id
string | null